- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases.caseWallRecords/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases.caseWallRecords/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases.caseWallRecords/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases.caseWallRecords/list#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases.caseWallRecords/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases.caseWallRecords/list#body.ListCaseWallRecordsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases.caseWallRecords/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases.caseWallRecords/list#body.aspect_1)

**Full name**: projects.locations.instances.cases.caseWallRecords.list

Lists CaseWallRecords for a specific Case. Use this method to retrieve the complete investigation timeline. Supports filtering by activity type, author and other fields.

### HTTP request

`GET https://{endpoint}/v1/{parent}/caseWallRecords`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The instance to list CaseWallRecords for. Format: projects/{project}/locations/{location}/instances/{instance}/cases/{case}/caseWallRecords |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of CaseWallRecords to return. The service may return fewer than this value. If unspecified, at most 50 CaseWallRecords will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` Optional. A page token, received from a previous `caseWallRecords.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListBooks` must match the call that provided the page token. |
| `filter` | `string` Optional. A filter to apply to the list of CaseWallRecords. Supported filter fields: \* `caseId` \* `activityId` \* `activityType` \* `activityData` \* `alertId` \* `creatorUserId` \* `createTime` \* `updateTime` \* `favorite` Example: `filter="email='some_name'"` |
| `orderBy` | `string` Optional. Configures ordering of CaseWallRecords in the response. If not specified, CaseWallRecords are returned in descending order of their create time. The default ordering is by create time in descending order. The orderBy string is a comma separated list of fields. Supported sort fields: \* `caseId` \* `activityId` \* `activityType` \* `activityData` \* `alertId` \* `creatorUserId` \* `createTime` \* `updateTime` \* `favorite` example: "alertId desc, activityType" |
| `expand` | `string` Optional. Expand the response to include related resources. Supported values: \* `tags` |

### Request body

The request body must be empty.

### Response body

Response message for caseWallRecords.list.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "caseWallRecords": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases.caseWallRecords#CaseWallRecord`) } ], "nextPageToken": string, "totalSize": integer } ``` |

| Fields ||
|---|---|
| `caseWallRecords[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1/projects.locations.instances.cases.caseWallRecords#CaseWallRecord`)`` The list of CaseWallRecords. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |
| `totalSize` | `integer` Total number of CaseWallRecords. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.caseWallRecords.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).